MCP Tools Reference: netapp.googleapis.com

Tool: get_backup

Get backup in a given project and location.

The following sample demonstrates how to use curl to invoke the get_backup MCP tool.

Curl Request
                  
curl --location 'https://netapp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_backup",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

GetBackupRequest gets the state of a backup.

GetBackupRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The backup resource name, in the format projects/{project}/locations/{location}/backupVaults/{backup_vault_id}/backups/{backup_id}

Output Schema

A NetApp Backup.

Backup

JSON representation
{
  "name": string,
  "state": enum (State),
  "description": string,
  "volumeUsageBytes": string,
  "backupType": enum (Type),
  "sourceVolume": string,
  "createTime": string,
  "labels": {
    string: string,
    ...
  },
  "chainStorageBytes": string,
  "satisfiesPzs": boolean,
  "satisfiesPzi": boolean,
  "volumeRegion": string,
  "backupRegion": string,
  "enforcedRetentionEndTime": string,
  "ontapSource": {
    object (OntapSource)
  },

  // Union field _source_snapshot can be only one of the following:
  "sourceSnapshot": string
  // End of list of possible types for union field _source_snapshot.
}
Fields
name

string

Identifier. The resource name of the backup. Format: projects/{project}/locations/{location}/backupVaults/{backup_vault_id}/backups/{backup_id}.

state

enum (State)

Output only. The backup state.

description

string

A description of the backup with 2048 characters or less. Requests with longer descriptions will be rejected.

volumeUsageBytes

string (int64 format)

Output only. Size of the file system when the backup was created. When creating a new volume from the backup, the volume capacity will have to be at least as big.

backupType

enum (Type)

Output only. Type of backup, manually created or created by a backup policy.

sourceVolume

string

The resource name of the volume that this backup belongs to. You must provide either source_volume or ontap_source. Format: projects/{project}/locations/{location}/volumes/{volume_id}

createTime

string (Timestamp format)

Output only. The time when the backup was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

labels

map (key: string, value: string)

Resource labels to represent user provided metadata.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

chainStorageBytes

string (int64 format)

Output only. Total size of all backups in a chain in bytes = baseline backup size + sum(incremental backup size)

satisfiesPzs

boolean

Output only. Reserved for future use

satisfiesPzi

boolean

Output only. Reserved for future use

volumeRegion

string

Output only. Region of the volume from which the backup was created. Format: projects/{project}/locations/{location}

backupRegion

string

Output only. Region in which backup is stored. Format: projects/{project}/locations/{location}

enforcedRetentionEndTime

string (Timestamp format)

Output only. The time until which the backup is not deletable.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

ontapSource

object (OntapSource)

Optional. Represents source details for ONTAP backups. Either source_volume or ontap_source should be provided.

Union field _source_snapshot.

_source_snapshot can be only one of the following:

sourceSnapshot

string

If specified, backup will be created from the given snapshot. If not specified, there will be a new snapshot taken to initiate the backup creation. Format: projects/{project}/locations/{location}/volumes/{volume_id}/snapshots/{snapshot_id}

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

OntapSource

JSON representation
{
  "volumeUuid": string,
  "snapshotUuid": string,

  // Union field _storage_pool can be only one of the following:
  "storagePool": string
  // End of list of possible types for union field _storage_pool.
}
Fields
volumeUuid

string

Required. The UUID of the ONTAP source volume.

snapshotUuid

string

Optional. The UUID of the ONTAP source snapshot.

Union field _storage_pool.

_storage_pool can be only one of the following:

storagePool

string

Required. Name of the storage pool. This must be specified for creating backups for ONTAP mode volumes. Format: projects/{project}/locations/{location}/storagePools/{storage_pool_id}

State

The Backup States

Enums
STATE_UNSPECIFIED State not set.
CREATING Backup is being created. While in this state, the snapshot for the backup point-in-time may not have been created yet, and so the point-in-time may not have been fixed.
UPLOADING Backup is being uploaded. While in this state, none of the writes to the volume will be included in the backup.
READY Backup is available for use.
DELETING Backup is being deleted.
ERROR Backup is not valid and cannot be used for creating new volumes or restoring existing volumes.
UPDATING Backup is being updated.

Type

Backup types.

Enums
TYPE_UNSPECIFIED Unspecified backup type.
MANUAL Manual backup type.
SCHEDULED Scheduled backup type.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌